View Issue Details

IDProjectCategoryView StatusLast Update
0003365SOGoActiveSyncpublic2015-10-14 09:29
Reportermzubcic Assigned Toludovic  
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSRHEL/CentOSOS Version6
Product Version2.3.2 
Fixed in Version2.3.3 
Summary0003365: sogod daemon crashes with SIGABRT on one single IMAP message
Description

While syncing Outlook 2013 with ActiveSync, sogod 2.3.2 (2.3.1 also) has a problem:

EXCEPTION: <NSException: 0x7feffd814098> NAME:NSInvalidArgumentException REASON:GSInlineArray(instance) does not recognize componentsSeparatedByString: INFO:(null)
Oct 12 14:16:44 sogod [1565]: <0x0x7fefe85f4458[WOWatchDogChild]> child 1675 exited
Oct 12 14:16:44 sogod [1565]: <0x0x7fefe85f4458[WOWatchDogChild]> (terminated due to signal 6)

Steps To Reproduce

Put mailing list message attached in this report in IMAP mail store (on Cyrus run reconstruct(8) to be recognised probably). Try to sync with ActiveSync.

Additional Information

Strace output from sogod child (relevant part before crash):

1675 lstat("/tmp/OGo068B561BA4AC99.tmp", {st_dev=makedev(0, 17), st_ino=67130, st_mode=S_IFREG|0600, st_nlink=1, st_uid=497, st_gid=497, st_blksize=4096, st_blocks=8, st_size=108, st_atime=2015/10/12-14:16:44, st_mtime=2015/10/12-14:16:44, st_ctime=2015/10/12-14:16:44}) = 0
1675 unlink("/tmp/OGo068B561BA4AC99.tmp") = 0
1675 sendto(7, "\200\f\0?\0\0\0\0\0\0\0?\2\3\0\0\0\0\0\0\0\0\0\0mzubcic@"..., 87, MSG_NOSIGNAL, NULL, 0) = 87
1675 recvfrom(7, "\201\f\0?\0\0\0\1\0\0\0?\2\3\0\0\0\0\0\0\0\0\0\0mzubcic@"..., 8196, MSG_NOSIGNAL, NULL, NULL) = 87
1675 sendto(11, "573 uid fetch 11005 (FLAGS ENVEL"..., 76, MSG_NOSIGNAL, NULL, 0) = 76
1675 sendto(11, "\r\n", 2, MSG_NOSIGNAL, NULL, 0) = 2
1675 recvfrom(11, 0x7feff0967150, 512, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1675 poll([{fd=11, events=POLLRDNORM}], 1, 3600000) = 1 ([{fd=11, revents=POLLRDNORM}])
1675 recvfrom(11, " 11005 FETCH (FLAGS (\Seen) UID"..., 512, 0, NULL, NULL) = 512
1675 recvfrom(11, "CHARSET\" \"us-ascii\") NIL NIL \"7B"..., 512, 0, NULL, NULL) = 512
1675 recvfrom(11, "5 Aug 2008 13:05:40 +0200\r\nRecei"..., 2725, 0, NULL, NULL) = 2725
1675 recvfrom(11, "\r\n573 OK Completed (0.010 sec)\r\n", 512, 0, NULL, NULL) = 32
1675 sendto(11, "574 uid fetch 11005 (BODY.PEEK[]"..., 33, MSG_NOSIGNAL, NULL, 0) = 33
1675 sendto(11, "\r\n", 2, MSG_NOSIGNAL, NULL, 0) = 2
1675 recvfrom(11, 0x7feff0967150, 512, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1675 poll([{fd=11, events=POLLRDNORM}], 1, 3600000) = 1 ([{fd=11, revents=POLLRDNORM}])
1675 recvfrom(11, "
11005 FETCH (UID 11005 BODY[] "..., 512, 0, NULL, NULL) = 512
1675 recvfrom(11, "istman.util.phx.redhat.com (list"..., 3626, 0, NULL, NULL) = 3584
1675 recvfrom(11, 0x7feff0967150, 512, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1675 poll([{fd=11, events=POLLRDNORM}], 1, 3600000) = 1 ([{fd=11, revents=POLLRDNORM}])
1675 recvfrom(11, "x-cluster mailing list\r\nLinux-cl"..., 512, 0, NULL, NULL) = 138
1675 gettimeofday({1444652204, 460390}, NULL) = 0
1675 open("/tmp/OGo068B561BA4AC9A.tmp", O_WRONLY|O_CREAT|O_TRUNC, 0600) = 12
1675 write(12, "---\n fence/agents/drac/fence_dra"..., 982) = 982
1675 close(12) = 0
1675 stat("/tmp/OGo068B561BA4AC9A.tmp", {st_dev=makedev(0, 17), st_ino=67131, st_mode=S_IFREG|0600, st_nlink=1, st_uid=497, st_gid=497, st_blksize=4096, st_blocks=8, st_size=982, st_atime=2015/10/12-14:16:44, st_mtime=2015/10/12-14:16:44, st_ctime=2015/10/12-14:16:44}) = 0
1675 lstat("/tmp/OGo068B561BA4AC9A.tmp", {st_dev=makedev(0, 17), st_ino=67131, st_mode=S_IFREG|0600, st_nlink=1, st_uid=497, st_gid=497, st_blksize=4096, st_blocks=8, st_size=982, st_atime=2015/10/12-14:16:44, st_mtime=2015/10/12-14:16:44, st_ctime=2015/10/12-14:16:44}) = 0
1675 open("/tmp/OGo068B561BA4AC9A.tmp", O_RDONLY) = 12
1675 lseek(12, 0, SEEK_END) = 982
1675 lseek(12, 0, SEEK_SET) = 0
1675 mmap(NULL, 982, PROT_READ, MAP_SHARED, 12, 0) = 0x7fefe7fc3000
1675 close(12) = 0
1675 mmap(NULL, 48, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fefe7f86000
1675 mprotect(0x7fefe7f86000, 4096, PROT_READ|PROT_EXEC) = 0
1675 futex(0x7fefe48a7620, FUTEX_WAKE_PRIVATE, 2147483647) = 0
1675 futex(0x7fefe4abeaf0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
1675 rt_sigprocmask(SIG_UNBLOCK, [ABRT], NULL, 8) = 0
1675 write(1, "EXCEPTION: <NSException: 0x7feff"..., 164) = 164
1675 tgkill(1675, 1675, SIGABRT) = 0
1675 --- SIGABRT {si_signo=SIGABRT, si_code=SI_TKILL, si_pid=1675, si_uid=497} ---
1675 +++ killed by SIGABRT +++

TagsNo tags attached.

Activities

mzubcic

mzubcic

2015-10-12 08:48

reporter  

Christian Mack

Christian Mack

2015-10-13 03:43

developer   ~0008990

Could you deliver /tmp/OGo068B561BA4AC9A.tmp also?

ludovic

ludovic

2015-10-14 09:29

administrator   ~0008997

https://github.com/inverse-inc/sogo/commit/7f92aca0bd1ffc91767755f1a10621205f428cda

Issue History

Date Modified Username Field Change
2015-10-12 08:48 mzubcic New Issue
2015-10-12 08:48 mzubcic File Added: sogo-bug-12.10.2015.mail
2015-10-13 03:43 Christian Mack Note Added: 0008990
2015-10-14 09:29 ludovic Note Added: 0008997
2015-10-14 09:29 ludovic Status new => resolved
2015-10-14 09:29 ludovic Fixed in Version => 2.3.3
2015-10-14 09:29 ludovic Resolution open => fixed
2015-10-14 09:29 ludovic Assigned To => ludovic